| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
uiCentralWidgetBody Class Reference
uiBase

`#include <uiparentbody.h>`

Inheritance diagram for uiCentralWidgetBody:
[legend]

## Public Member Functions
virtual | ~uiCentralWidgetBody ()
void | addChild (uiBaseObject &) override
void | attachChild (ConstraintType, uiObject *child, uiObject *other, int margin, bool reciprocal) override
| mOD_DisableCopy (uiCentralWidgetBody) uiGroup *uiCentralWidg()
Public Member Functions inherited from uiParentBody
| ~uiParentBody ()
const ObjectSet< uiBaseObject > * | childList () const
void | clearChildren ()
void | finalize () override
void | finalizeChildren ()
bool | finalized () const override
void | manageChild (uiBaseObject &child, uiObjectBody &)
| child becomes mine.
QWidget * | managewidg ()
| widget to be used as parent for QWidgets
const QWidget * | managewidg () const
| widget to be used as parent for QWidgets
| mOD_DisableCopy (uiParentBody) virtual void addChild(uiBaseObject &child)
Public Member Functions inherited from uiBody
virtual | ~uiBody ()
virtual void | clear ()
virtual void | fontchanged ()
| mOD_DisableCopy (uiBody) virtual void final ize()
QWidget * | qwidget ()
| can return 0
const QWidget * | qwidget () const
| can return 0
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Protected Member Functions
| uiCentralWidgetBody (const char *nm)
void | manageChld_ (uiBaseObject &, uiObjectBody &) override
const QWidget * | managewidg_ () const override
Protected Member Functions inherited from uiParentBody
| uiParentBody (const char *nm)
void | childDel (CallBacker *)
void | deleteAllChildren ()
Protected Member Functions inherited from uiBody
| uiBody ()
virtual const QWidget * | qwidget_ () const =0
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Protected Attributes
uiGroup * | centralwidget_
bool | initing_
Protected Attributes inherited from uiParentBody
ObjectSet< uiBaseObject > | children_
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Additional Inherited Members
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

<>

## Constructor & Destructor Documentation

## ◆ ~uiCentralWidgetBody()

virtual uiCentralWidgetBody::~uiCentralWidgetBody | ( |  | ) |
| virtual

## ◆ uiCentralWidgetBody()

uiCentralWidgetBody::uiCentralWidgetBody | ( | const char * | nm | ) |
| protected

## Member Function Documentation

## ◆ addChild()

void uiCentralWidgetBody::addChild | ( | uiBaseObject & |  | ) |
| override

## ◆ attachChild()

void uiCentralWidgetBody::attachChild | ( | ConstraintType | ,
|  | uiObject * | child,
|  | uiObject * | other,
|  | int | margin,
|  | bool | reciprocal )
| override virtual

Implements uiParentBody.

Reimplemented in uiDialogBody.

## ◆ manageChld_()

void uiCentralWidgetBody::manageChld_ | ( | uiBaseObject & | ,
|  | uiObjectBody & | )
| override protected virtual

Reimplemented from uiParentBody.

Reimplemented in uiDialogBody.

## ◆ managewidg_()

const QWidget * uiCentralWidgetBody::managewidg_ | ( |  | ) | const
| override protected virtual

Implements uiParentBody.

Reimplemented in uiDialogBody.

## ◆ mOD_DisableCopy()

uiCentralWidgetBody::mOD_DisableCopy | ( | uiCentralWidgetBody |  | ) |
| inline

## Member Data Documentation

## ◆ centralwidget_

uiGroup* uiCentralWidgetBody::centralwidget_
| protected

## ◆ initing_

bool uiCentralWidgetBody::initing_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025